gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.VBox To be added To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  To be added: an object of type 'string'
  To be added: an object of type 'string'
  Creates a new icon entry control.
  To be added
- Event
  2.24.0.0
  GLib.Signal("browse")
  System.EventHandler To be added To be added
- Property
  2.24.0.0
  GLib.Property("browse_dialog_title")
  System.String To be added To be added: an object of type 'string' To be added
- Event
  2.24.0.0
  GLib.Signal("changed")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added
- Property
  2.24.0.0
  GLib.Property("filename")
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  Gtk.Widget To be added To be added: an object of type 'Gtk.Widget' To be added
- Method
  2.24.0.0
  Gtk.Widget To be added To be added: an object of type 'Gtk.Widget' To be added
- Method
  2.24.0.0
  Gtk.Widget To be added To be added: an object of type 'Gtk.Widget' To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("history_id")
  System.String Unique identifier for the icon entry. This will be used to save the history list. To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  System.UInt32 To be added a To be added
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBrowse", Type=typeof(Gnome.IconEntry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gnome.IconEntry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.24.0.0
  GLib.Property("pick_dialog")
  Gtk.Dialog To be added To be added: an object of type 'Gtk.Dialog' To be added
- Property
  2.24.0.0
  GLib.Property("pixmap_subdir")
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  System.Boolean `` a To be added a To be added